/* for  TOP Right */

.product-label-div .shape-section-top-right {
	top: 0px;
	right: 0px;
	text-align: right;
	line-height: normal;
	position: absolute;
	z-index: 1;
	display: flex;
	width: auto;
	height: auto;
}

/* For TOP Left */

.product-label-div .shape-section-top-left {
	top: 0px;
	left: 0px;
	text-align: left;
	line-height: normal;
	position: absolute;
	z-index: 9;
	display: flex;
	width: auto;
	height: auto;
}

/* For TOP Center */

.product-label-div .shape-section-top-center {
    top: 0px;
    left: 0px;
    right: 0px;
    text-align: center;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
    justify-content: center;
}


/* for Bottom Left */

.product-label-div .shape-section-bottom-left {
    bottom: 0px;
    left: 0px;
    text-align: left;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
}


/* for Bottom Right */

.product-label-div .shape-section-bottom-right {
    bottom: 0px;
    right: 0px;
    text-align: right;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
}


/* For Bottom Center */

.product-label-div .shape-section-bottom-center {
    bottom: 0px;
    left: 0px;
    right: 0px;
    text-align: center;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
    justify-content: center;
}


/* For Center Left */

.product-label-div .shape-section-center-left {
    top:45%;
    bottom: 45%;
    left: 0px;
    text-align: left;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
}

/* For Center right */

.product-label-div .shape-section-center-right {
    top:45%;
    bottom: 45%;
    right: 0px;
    text-align: right;
    line-height: normal;
    position: absolute;
    z-index: 995;
    display: flex;
    width: auto;
    height: auto;
}



/* For Shape CSS */

.myshapes {
    width: auto;
    float: left;
}
.shape-section {
    margin-left: 15px;
    float: left;
    margin-top: -12px;
}
.shape-1 {
  border-radius: 50%;
  margin: 0 auto;
  display: block;
  min-width: 60px;
  min-height: 60px;
  border-color: transparent;
  font-weight: 700;
}

.catalog-category-view .shape-1 {
    max-width: 150px;
    max-height: 150px;
}

.shape-2 {
    border: 1px solid #cccccc;
    border-radius: 90px 0 0 0;
    margin: 0 auto;
    display: block;
    min-width: 50px;
    min-height: 50px;
    border-color: transparent;
    font-weight: 700;
}

.catalog-category-view .shape-2 {
    max-width: 105px;
    max-height: 105px;
}

.shape-3 {
    border: 1px solid #cccccc;
    border-radius: 0 90px 0 0;
    margin: 0 auto;
    display: block;
    min-width: 50px;
    min-height: 50px;
    border-color: transparent;
    font-weight: 700;
}

.catalog-category-view .shape-3 {
    max-width: 105px;
    max-height: 105px;
}


.shape-4 {
    font-weight: 700;
    border: 1px solid #cccccc;
    border-radius: 0 0 90px 0;
    margin: 0 auto;
    display: block;
    min-width: 50px;
    min-height: 50px;
    border-color: transparent;
}

.catalog-category-view .shape-4 {
    max-width: 105px;
    max-height: 105px;
}


.shape-5 {
    border: 1px solid #cccccc;
    border-radius: 0 0 0 90px;
    margin: 0 auto;
    display: block;
    min-width: 50px;
    min-height: 50px;
    border-color: transparent;
    font-weight: 700;
}

.catalog-category-view .shape-5 {
    max-width: 105px;
    max-height: 105px;
}


.shape-6 {
  border-radius: 200px 0px 200px 0px;
  position: absolute;
  margin: 0 auto;
  display: block;
  min-width: 100px;
  min-height: 38px;
}

.catalog-category-view .shape-6 {
  max-width: 200px;
  max-height: 150px;
}

.shape-7 {
    display: inline-block;
    position: relative;
    background-color: #cccccc;
    margin: 0 auto;
    display: block;
    min-width: 50px;
    min-height: 25px;
}

.catalog-category-view .shape-7 {
    max-width: 220px;
    max-height: 100px;
}


.shape-7:after{
    content: ' ';
    position: absolute;
    min-width: 0;
    min-height: 0;
    left: 0px;
    right: auto;
    top: auto;
    bottom: -10px;
    border: 10px solid;
    border-color: transparent transparent transparent var(--label-color-var);
    margin: 0 auto;
    display: block;
}
.shape-8 {
    min-width: 9%;
    min-height: 0px;
    max-height: 0px;
    border-top: 30px solid #cccccc;
    border-left: 35px solid transparent;
    border-bottom: 30px solid #cccccc;
    margin: 0 auto;
    display: block;
}
.shape-9 {
    min-width: 9%;
    min-height: 0px;
    max-height: 0px;
    border-right: 35px solid transparent;
    border-top: 30px solid #cccccc;
    border-left: 35px solid transparent;
    border-bottom: 30px solid #cccccc;
    margin: 0 auto;
    display: block;
}
.shape-10 {
    background: #cccccc;
    clip-path: polygon(0% 0%, 75% 0%, 100% 50%, 75% 100%, 0% 100%);
    min-width: 80px;
    min-height: 25px;
}


/* Make Content in Center */
.product-label-div span.product-label-data {
    width: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    word-break: break-all;
    overflow: hidden;
    font-weight: 700;

}

/* For Display Discount */

.product-label-div .discount-class {
    display: block;
    margin: 5px;
}
/* /////////////////////////////////////////////////////// */
/* Product View Page CSS*/
/* /////////////////////////////////////////////////////// */

/* product media set relative */

.product.media {
    display: block;
    position: relative;
}

/* for dynamic hover class */

.product-label-main.container-hover {
    display: none;
    width: 100%;
    height: 100%;
}
.products-grid .product-item-info:hover .product-label-main.container-hover {
    display: block;
}
.product-label-div.container-hover{
display:none;
}

.product.media:hover .product-label-div.container-hover {
    display: block !important;
}

/* For rotate text */

.shape-2 span.product-label-data {
    transform: translate(-43%, -30%) rotate(-49deg);
}

.shape-3 span.product-label-data {
    transform: translate(-70%, -40%) rotate(49deg);
}

.shape-4 span.product-label-data {
    transform: translate(-70%, -85%) rotate(-49deg);
}

.shape-5 span.product-label-data {
    transform: translate(-45%, -80%) rotate(49deg);
}


.product-label-div .shape-8 span.product-label-data {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -15%);
}

.catalog-product-view .product-label-div .shape-8 span.product-label-data {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -45%);
}

